aboutsummaryrefslogtreecommitdiff
path: root/examples/var_service/getty_tty1/cfg
diff options
context:
space:
mode:
Diffstat (limited to 'examples/var_service/getty_tty1/cfg')
-rwxr-xr-xexamples/var_service/getty_tty1/cfg26
1 files changed, 26 insertions, 0 deletions
diff --git a/examples/var_service/getty_tty1/cfg b/examples/var_service/getty_tty1/cfg
new file mode 100755
index 000000000..0f63e5233
--- /dev/null
+++ b/examples/var_service/getty_tty1/cfg
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+if test x"$TERM" = x"" -o x"$TERM" = x"unknown"; then
+ TERM="linux"
+ echo "* Setting TERM='$TERM'"
+fi
+export TERM
+
+ttyname=`tty`
+ttybase="${ttyname%%[0123456789]*}" # strip numeric tail
+
+if test x"$ttybase" = x"/dev/vc/" -o x"$ttybase" = x"/dev/tty"; then
+ echo "* Activating Cyrillic KOI8-R -> CP866 font map"
+ echo -ne "\033(K" >"$ttyname"
+
+ echo "* Loading screen font"
+ setfont \
+ -C "$ttyname" \
+ -m "$PWD/koi8r_to_uni.trans" \
+ "$PWD/alt08x16+unimap.fnt" \
+ || echo "! setfont failure"
+
+ echo "* Loading keymap"
+ loadkeys "$PWD/ru_koi8r.keymap" \
+ || echo "! loadkeys failure"
+fi